%global _description \
dnspython is a DNS toolkit for Python. It supports \
almost all record types. It can be used for queries, \
zone transfers, and dynamic updates. It supports TSIG \
authenticated messages and EDNS0.\
dnspython provides both high and low level access to DNS. \
The high level classes perform queries for data of a given \
name, type, and class, and return an answer set. The low \
level classes allow direct manipulation of DNS zones, \
messages, names, and records.

%global sum DNS toolkit for Python

Name:           python-dns
Summary:        %{sum}
Version:        2.3.0
Release:        3
License:        ISC and MIT
URL:            http://www.dnspython.org/
Source0:        https://github.com/rthalley/dnspython/archive/v%{version}/dnspython-%{version}.tar.gz

Patch1:         0001-Add-dns.quic-to-setup.cfg-for-legacy-setup.py-instal.patch

BuildArch:      noarch

BuildRequires:  python3-devel python3-setuptools python3-cryptography
BuildRequires:  python3-pytest

%description
%{_description}

%package     -n python3-dns
Summary:        %{sum}
%{?python_provide:%python_provide python3-dns}
Requires:       python3-cryptography

%description -n python3-dns
%{_description}

%package_help

%prep
%autosetup -p1 -n dnspython-%{version}
find examples -type f | xargs chmod a-x

%build
sed -i 's/setup_requires = setuptools>=44; setuptools_scm\[toml\]>=3.4.3/setup_requires = setuptools>=44;/' setup.cfg
%py3_build

%install
%py3_install

%check
pytest

%files -n python3-dns
%doc LICENSE
%{python3_sitelib}/*egg-info
%{python3_sitelib}/dns

%files help
%doc examples

%changelog
* Wed Apr 19 2023 ChenYanpan <chenyanpan@xfusion.com> - 2.3.0-3
- Fixed the missing Patch1 in spec

* Tue Apr 18 2023 ChenYanpan <chenyanpan@xfusion.com> - 2.3.0-2
- Add dns.quic to setup.cfg for legacy setup.py installs

* Sat Mar 11 2023 gaihuiying <eaglegai@163.com> - 2.3.0-1
- update to 2.3.0

* Fri Jan 13 2023 caofei <caofei@xfusion.com> -  2.2.1-3
- update README w/ codecov and lgtm

* Mon Jan 9 2023 caofei <caofei@xfusion.com> - 2.2.1-2
- fix win32util.py file mode

* Thu Oct 27 2022 gaihuiying <eaglegai@163.com> - 2.2.1-1
- update to 2.2.1

* Sat Jan 08 2022 quanhongfei<quanhongfei@huawei.com> - 2.1.0-2
- fix tests failed

* Fri Dec 10 2021 gaihuiying<gaihuiying1@huawei.com> - 2.1.0-1
- update to 2.1.0

* Tue Nov 17 2020 jinzhimin<jinzhimin2@huawei.com> - 1.16.0-3
- fix tests failed

* Tue Nov 10 2020 jinzhimin<jinzhimin2@huawei.com> - 1.16.0-2
- fix the network tests failed

* Tue Nov 10 2020 jinzhimin<jinzhimin2@huawei.com> - 1.16.0-1
- update to 1.16.0

* Wed Oct 21 2020 jinzhimin<jinzhimin2@huawei.com> - 1.15.0-11
- remove python2-dns subpackage

* Fri Dec 6 2019 caomeng<caomeng5@huawei.com> - 1.15.0-10
- Package init
